## cross-toolchain-base-ports 19ubuntu1

=== debian/changelog ===
cross-toolchain-base-ports (19ubuntu1) bionic; urgency=medium

  * Build using gcc 7.3.0-12ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Mar 2018 10:28:55 +0800

cross-toolchain-base-ports (19) unstable; urgency=medium

  * Add support for riscv64 (Aurelian Jarno). Closes: #892790.
  * Build using gcc 7.3.0-12.
  * Build using binutils 2.30-8.

 -- Matthias Klose <doko@debian.org>  Sun, 18 Mar 2018 12:55:56 +0800

cross-toolchain-base-ports (18ubuntu1) bionic; urgency=medium

  * Build using gcc 7.3.0-11ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Mar 2018 15:29:09 +0100

cross-toolchain-base-ports (18) unstable; urgency=medium

  * Build using glibc 2.27. Closes: #886315.
  * Build using gcc 7.3.0-11.
  * Build using binutils 2.30-7.
  * Build using linux 4.15.

 -- Matthias Klose <doko@debian.org>  Mon, 12 Mar 2018 15:19:43 +0100

cross-toolchain-base-ports (16) unstable; urgency=medium

  * Build using glibc 2.26-2. Addresses: #886315.
  * Build using gcc 7.2.0-19.
  * Build using binutils 2.29.1-13.
  * dpkg-cross: Add fixes for mipsr6 and n32 (YunQiang Su). Closes: #886312.

 -- Matthias Klose <doko@debian.org>  Mon, 08 Jan 2018 01:15:47 +0100

cross-toolchain-base-ports (15) unstable; urgency=medium

  * Build-depend on dwz. Closes: #882553.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Dec 2017 07:57:13 +0100

cross-toolchain-base-ports (14) unstable; urgency=medium

  * Build using linux 4.14.2-1.
  * Build using binutils 2.29.1-10.
  * Build using glibc 2.25-3.
  * Update dpkg-cross for mips* targets. Addresses: #883189.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Dec 2017 21:33:39 +0100

cross-toolchain-base-ports (13) unstable; urgency=medium

  * Build using gcc 6.4.0-10.
  * Add support for a plethora of mips r6 targets (YunQiang Su).
    Closes: #881576.

 -- Matthias Klose <doko@debian.org>  Mon, 13 Nov 2017 10:28:36 +0100

cross-toolchain-base-ports (12) unstable; urgency=medium

  * Build using binutils 2.29.1-1, using the standard debian targets.
  * Build using gcc 6.4.0-7.
  * Build using linux 4.12.13-1.
  * Build using glibc 2.24-17.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Sep 2017 23:46:03 +0200
