## cross-toolchain-base-ports 20ubuntu1

=== debian/changelog ===
cross-toolchain-base-ports (20ubuntu1) bionic; urgency=medium

  * Build using gcc 7.3.0-14ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 02 Apr 2018 05:31:50 +0200

cross-toolchain-base-ports (20) unstable; urgency=medium

  * Build using gcc 7.3.0-14.
  * Build using binutils 2.30-11.
  * Fix dpkg-cross ldscript conversion for x32.
  * Add support to build packages for amd64, i386 and x32.
  * Build packages for x32.

 -- Matthias Klose <doko@debian.org>  Mon, 02 Apr 2018 05:13:27 +0200

cross-toolchain-base-ports (19ubuntu2) bionic; urgency=medium

  * Build using gcc 7.3.0-12ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 20 Mar 2018 10:28:55 +0800
