=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: cross-toolchain-base-ports
 Section: devel
-Priority: extra
+Priority: optional
 Maintainer: Cross Toolchain Base Team <cross-toolchain-base-devs@lists.launchpad.net>
 Uploaders: Matthias Klose <doko@debian.org>, Dimitri John Ledkov <xnox@debian.org>
 Vcs-Browser: https://code.launchpad.net/~cross-toolchain-base-devs/cross-toolchain-base/+git/cross-toolchain-base
@@ -8,9 +8,9 @@
 Standards-Version: 4.1.3
 Build-Depends: binutils-multiarch,
   dpkg (>= 1.16.0~ubuntu6), rdfind, symlinks, lsb-release,
-  binutils-source (>= 2.30-8~),
+  binutils-source (>= 2.30-11~),
   glibc-source (>= 2.27-0~),
-  gcc-7-source (>= 7.3.0-12~),
+  gcc-7-source (>= 7.3.0-14~),
   linux-source (>= 4.15),
   autoconf (>= 2.64), autoconf2.64, autogen,
   automake, bison (>= 1:2.3), chrpath, debhelper (>= 9),
@@ -25,7 +25,8 @@
   libconfig-auto-perl, libfile-temp-perl, libconfig-auto-perl,
   libfile-homedir-perl, liblocale-gettext-perl, libunwind-dev [amd64 i386 x32]
 Build-Conflicts: dpkg-cross, libdebian-dpkgcross-perl,
-  binutils-alpha-linux-gnu, libc6-alpha-cross, linux-libc-dev-alpha-cross, binutils-hppa-linux-gnu, libc6-hppa-cross, linux-libc-dev-hppa-cross, binutils-m68k-linux-gnu, libc6-m68k-cross, linux-libc-dev-m68k-cross, binutils-mips64-linux-gnuabi64, libc6-mips64-cross, linux-libc-dev-mips64-cross, binutils-powerpc64-linux-gnu, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, binutils-riscv64-linux-gnu, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, binutils-sh4-linux-gnu, libc6-sh4-cross, linux-libc-dev-sh4-cross, binutils-sparc64-linux-gnu, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, binutils-mips-linux-gnu, libc6-mips-cross, linux-libc-dev-mips-cross, binutils-mipsel-linux-gnu, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, binutils-mips64el-linux-gnuabi64, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, binutils-powerpc-linux-gnuspe, libc6-powerpcspe-cross, linux-libc-dev-powerpcspe-cross, binutils-mips64-linux-gnuabin32, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, binutils-mips64el-linux-gnuabin32, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, binutils-mipsisa32r6-linux-gnu, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, binutils-mipsisa32r6el-linux-gnu, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, binutils-mipsisa64r6-linux-gnuabin32, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, binutils-mipsisa64r6el-linux-gnuabin32, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, binutils-mipsisa64r6-linux-gnuabi64, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, binutils-mipsisa64r6el-linux-gnuabi64, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
+  binutils-alpha-linux-gnu, binutils-hppa-linux-gnu, binutils-m68k-linux-gnu, binutils-mips64-linux-gnuabi64, binutils-powerpc64-linux-gnu, binutils-riscv64-linux-gnu, binutils-sh4-linux-gnu, binutils-sparc64-linux-gnu, binutils-x86-64-linux-gnux32, binutils-mips-linux-gnu, binutils-mipsel-linux-gnu, binutils-mips64el-linux-gnuabi64, binutils-powerpc-linux-gnuspe, binutils-mips64-linux-gnuabin32, binutils-mips64el-linux-gnuabin32, binutils-mipsisa32r6-linux-gnu, binutils-mipsisa32r6el-linux-gnu, binutils-mipsisa64r6-linux-gnuabin32, binutils-mipsisa64r6el-linux-gnuabin32, binutils-mipsisa64r6-linux-gnuabi64, binutils-mipsisa64r6el-linux-gnuabi64,
+  libc6-alpha-cross, linux-libc-dev-alpha-cross, libc6-hppa-cross, linux-libc-dev-hppa-cross, libc6-m68k-cross, linux-libc-dev-m68k-cross, libc6-mips64-cross, linux-libc-dev-mips64-cross, libc6-ppc64-cross, linux-libc-dev-ppc64-cross, libc6-riscv64-cross, linux-libc-dev-riscv64-cross, libc6-sh4-cross, linux-libc-dev-sh4-cross, libc6-sparc64-cross, linux-libc-dev-sparc64-cross, libc6-x32-cross, linux-libc-dev-x32-cross, libc6-mips-cross, linux-libc-dev-mips-cross, libc6-mipsel-cross, linux-libc-dev-mipsel-cross, libc6-mips64el-cross, linux-libc-dev-mips64el-cross, libc6-powerpcspe-cross, linux-libc-dev-powerpcspe-cross, libc6-mipsn32-cross, linux-libc-dev-mipsn32-cross, libc6-mipsn32el-cross, linux-libc-dev-mipsn32el-cross, libc6-mipsr6-cross, linux-libc-dev-mipsr6-cross, libc6-mipsr6el-cross, linux-libc-dev-mipsr6el-cross, libc6-mipsn32r6-cross, linux-libc-dev-mipsn32r6-cross, libc6-mipsn32r6el-cross, linux-libc-dev-mipsn32r6el-cross, libc6-mips64r6-cross, linux-libc-dev-mips64r6-cross, libc6-mips64r6el-cross, linux-libc-dev-mips64r6el-cross,
   libc6-amd64 [i386 x32], libc6-i386 [amd64 x32], libc6-x32 [amd64 i386]
 
 Package: linux-libc-dev-alpha-cross
@@ -116,6 +117,17 @@
  libraries. They are NOT meant to be used to build third-party modules for
  your kernel. Use linux-headers-* packages for that.
 
+Package: linux-libc-dev-x32-cross
+Architecture: all
+Depends: ${misc:Depends}
+Provides: linux-kernel-headers-x32-cross, linux-libc-dev-x32-dcv1
+Built-Using: ${bu:linux}
+Description: Linux Kernel Headers for development (for cross-compiling)
+ This package provides headers from the Linux kernel.  These headers
+ are used by the installed headers for GNU glibc and other system
+ libraries. They are NOT meant to be used to build third-party modules for
+ your kernel. Use linux-headers-* packages for that.
+
 Package: linux-libc-dev-mips-cross
 Architecture: all
 Depends: ${misc:Depends}
@@ -205,16 +217,3 @@
  your kernel. Use linux-headers-* packages for that.
 
 Package: linux-libc-dev-mipsn32r6-cross
-Architecture: all
-Depends: ${misc:Depends}
-Provides: linux-kernel-headers-mipsn32r6-cross, linux-libc-dev-mipsn32r6-dcv1
-Built-Using: ${bu:linux}
-Description: Linux Kernel Headers for development (for cross-compiling)
- This package provides headers from the Linux kernel.  These headers
- are used by the installed headers for GNU glibc and other system
- libraries. They are NOT meant to be used to build third-party modules for
- your kernel. Use linux-headers-* packages for that.
-
-Package: linux-libc-dev-mipsn32r6el-cross
-Architecture: all
-Depends: ${misc:Depends}
