## cross-toolchain-base-ports 20ubuntu3

=== debian/changelog ===
cross-toolchain-base-ports (20ubuntu3) bionic; urgency=medium

  * Build using gcc 7.3.0-14ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Apr 2018 00:12:34 +0200
