=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
   CROSS_ARCHS	?= amd64 i386 s390x ppc64el arm64 armhf armel \
 			$(if $(filter $(vendor), Ubuntu), powerpc, mips mipsel mips64el)
 else
-  CROSS_ARCHS  ?= alpha hppa m68k mips64 ppc64 riscv64 sh4 sparc64 x32 \
+  CROSS_ARCHS  ?= x32 alpha hppa m68k mips64 ppc64 riscv64 sh4 sparc64 \
 			$(if $(filter $(vendor), Ubuntu), mips mipsel mips64el, powerpc) \
 			powerpcspe mipsn32 mipsn32el \
 			mipsr6 mipsr6el mipsn32r6 mipsn32r6el mips64r6 mips64r6el
