## cross-toolchain-base-ports 21ubuntu3

=== debian/changelog ===
cross-toolchain-base-ports (21ubuntu3) bionic; urgency=medium

  * Build using gcc 7.3.0-16ubuntu3.
  * Build using glibc 2.27-3ubuntu1.
  * Fix binutils installation in the build chroot.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 21 Apr 2018 03:57:33 +0200

cross-toolchain-base-ports (21ubuntu2) bionic; urgency=medium

  * Build using gcc 7.3.0-14ubuntu1.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Apr 2018 12:22:56 +0200

cross-toolchain-base-ports (21) unstable; urgency=medium

  * Include x32 multilib packages in the files list.

 -- Matthias Klose <doko@debian.org>  Tue, 03 Apr 2018 11:43:13 +0200
